Bug 194282 - evolution can't handle large text emails
Summary: evolution can't handle large text emails
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-06 20:34 UTC by David Kaplan
Modified: 2018-04-11 12:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 17:43:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
contents of an email that causes problem (445.53 KB, text/plain)
2006-06-06 20:34 UTC, David Kaplan
no flags Details
Longer email that causes problem (10.25 MB, text/plain)
2006-06-06 21:51 UTC, David Kaplan
no flags Details

Description David Kaplan 2006-06-06 20:34:03 UTC
Description of problem:
When I try to view a long text email in evolution (say 500k to several meg), it
goes into what appears to be a near-infinite loop and uses up all the system
resources.  Desktop becomes barely responsive (minutes to switch windows).  The
only way I have found to get beyond the problem is to switch to text mode and
kill -9 the evolution process.  Usually "evolution --force-shutdown" is not
enough or takes too long to act.

This has been a problem with evolution for quite some time.

Note, however, that this problem does not occur when I open the email using
IMAP, only when I view it from a local folder.

Version-Release number of selected component (if applicable):
evolution-2.6.1-1.fc5.2

How reproducible:
always

Steps to Reproduce:
1.Send yourself a very long text email (like the one I will attach shortly).
2.Receive email and try to view the email from a local folder (e.g. pop account
or copy to a local folder).  
3.If evolution doesn't have problems immediately, try switching to another email
and back to the long email.
  
Actual results:
Hard drive starts to work like crazy and the system becomes unresponsive.

Expected results:
I expect a bit of slowdown, but not the end of the world.  Email should still be
viewable.

Additional info:
I imagine that this is a memory management / swap problem, so results might be
system dependent.  I am using a system with 512 MB of ram.  While this isn't
much nowadays, one would think I should be able to open a 500k email.

Comment 1 David Kaplan 2006-06-06 20:34:03 UTC
Created attachment 130638 [details]
contents of an email that causes problem

Comment 2 David Kaplan 2006-06-06 21:51:15 UTC
Created attachment 130643 [details]
Longer email that causes problem

I mispoke.  It was actually a considerably longer email (11MB) that was causing
the problem (the folder where the email was located opened on the long email
instead of the one that I wanted to look at).  Still, one would think that
evolution should be able to handle it - emacs and firefox can open the email
text in a finite amount of time.

Comment 3 Matěj Cepl 2007-08-31 15:20:56 UTC
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.

Comment 4 Matthew Barnes 2007-10-02 17:43:42 UTC
Closing as INSUFFICIENT_DATA.


Note You need to log in before you can comment on or make changes to this bug.